SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   Kerberos Vendors:   MIT
Kerberos kadmin 'gss_buffer_t' May Be Freed Twice Allowing Remote Authenticated Users to Execute Arbitrary Code
SecurityTracker Alert ID:  1017852
SecurityTracker URL:  http://securitytracker.com/id/1017852
CVE Reference:   CVE-2007-1216   (Links to External Site)
Date:  Apr 3 2007
Impact:   Execution of arbitrary code via network, Root access via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): krb5-1.4 through krb5-1.6
Description:   A vulnerability was reported in Kerberos in the administration daemon. A remote authenticated user can execute arbitrary code on the target system.

The krb5 GSS-API kg_unseal_v1() function may free the gss_buffer_t buffer that an application may later free again (via the gss_release_buffer() function) under certain error conditions. As a result, arbitrary code may be executed. The Kerberos key database can be compromised.

The vulnerability resides in the GSS-API library. As a result, some third-party applications may be affected.

This vulnerability was discovered using the SAP AG GSSTEST test program.

Impact:   A remote authenticated user can execute arbitrary code on the target system.
Solution:   The vendor has issued a patch, available at:

http://web.mit.edu/kerberos/advisories/2007-003-patch.txt

The pending krb5-1.6.1 release will include the fix.

The MIT advisory is available at:

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2007-003.txt

Vendor URL:  web.mit.edu/kerberos/advisories/MITKRB5-SA-2007-003.txt (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Apr 3 2007 (Red Hat Issues Fix) Kerberos kadmin 'gss_buffer_t' May Be Freed Twice Allowing Remote Authenticated Users to Execute Arbitrary Code
Red Hat has released a fix for Red Hat Enterprise Linux 2.1, 3, 4, and 5.
Apr 3 2007 (IBM Issues Fix for AIX) Kerberos kadmin 'gss_buffer_t' May Be Freed Twice Allowing Remote Authenticated Users to Execute Arbitrary Code
IBM has issued a fix for Network Authentication Service on IBM AIX 5.2 and 5.3.
May 22 2007 (HP Issues Fix for HP-UX) Kerberos kadmin 'gss_buffer_t' May Be Freed Twice Allowing Remote Authenticated Users to Execute Arbitrary Code
HP has issued a fix for HP-UX.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC